For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
DocumentationAPI ReferenceKnowledge Base
DocumentationAPI ReferenceKnowledge Base
  • API Reference
      • POSTList connected LinkedIn accounts
      • POSTFind a company's LinkedIn page from a domain
      • POSTResolve a name + company domain to a profile URL
      • POSTHydrate a LinkedIn profile
      • POSTHydrate a LinkedIn company page
      • POSTSearch a company's employees with boolean title filters
      • POSTList recent posts from a company page
      • POSTRecent posts from a company's employees
      • POSTList recent posts from a single profile
      • POSTGet full content for a single post
      • POSTList people who reacted to a post
      • POSTList comments on a post
      • POSTList jobs posted by a company
      • POSTGet full details of a job listing
      • POSTList saved posts (requires session)
      • POSTList recent DM threads (requires session)
      • POSTSend a direct message (requires session)
      • POSTSend a connection request (requires session)
Connect
LogoLogo
API ReferenceLinkedIn

Get full details of a job listing

POST
https://api.gtm-tools.sh/api/v0/get_linkedin_job
POST
/api/v0/get_linkedin_job
1const url = 'https://api.gtm-tools.sh/api/v0/get_linkedin_job';
2const options = {
3 method: 'POST',
4 headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
5 body: '{"job_url":"https://linkedin.com/jobs/view/..."}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
200Linkedin_getLinkedinJob_example
1{
2 "job_url": "string",
3 "title": "string",
4 "company": "string",
5 "location": "string",
6 "posted_at": "2024-01-15T09:30:00Z",
7 "description": "string"
8}

Cost — 2 tokens.

Was this page helpful?
Previous

List saved posts (requires session)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
job_urlstringRequiredformat: "uri"

Response

Job posting
job_urlstring
titlestring
companystring
locationstring
posted_atdatetime
descriptionstring